cURL
curl --request GET \
--url https://api.buildwithchirp.com/v1/calls/voicemails/{voicemailId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.buildwithchirp.com/v1/calls/voicemails/{voicemailId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.buildwithchirp.com/v1/calls/voicemails/{voicemailId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "call_vm_2DbBs7GWhGvVNJGrDXr5RG0mBWI",
"callId": "call_2DbBs7GWhGvVNJGrDXr5RG0mBWI",
"callerNumber": "+15551234567",
"callerChannel": "pstn",
"duration": 30,
"isRead": false,
"transcription": "<string>",
"recordingId": "call_rec_abc123",
"createdAt": "2023-11-07T05:31:56Z"
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}Calls
Get voicemail
Get a specific voicemail by ID
GET
/
v1
/
calls
/
voicemails
/
{voicemailId}
cURL
Authorizations
App API key (format: sk_live_app_* or sk_test_app_*) for app-level operations
Path Parameters
Unique identifier for a Call Voicemail. Format: call_vm_[test_]{ksuid}
Pattern:
^call_vm_(?:test_)?[a-zA-Z0-9]{27}$Example:
"call_vm_2DbBs7GWhGvVNJGrDXr5RG0mBWI"
Response
Voicemail details
Unique identifier for a Call Voicemail. Format: call_vm_[test_]{ksuid}
Pattern:
^call_vm_(?:test_)?[a-zA-Z0-9]{27}$Example:
"call_vm_2DbBs7GWhGvVNJGrDXr5RG0mBWI"
Unique identifier for a Call. Format: call_[test_]{ksuid}
Pattern:
^call_(?:test_)?[a-zA-Z0-9]{27}$Example:
"call_2DbBs7GWhGvVNJGrDXr5RG0mBWI"
Example:
"+15551234567"
Communication channel for the call leg
Available options:
pstn, whatsapp, webrtc Example:
"pstn"
Voicemail duration in seconds
Example:
30
Example:
false
Voicemail transcription text
ID of the associated call recording
Example:
"call_rec_abc123"
⌘I